<?php
    global $unicon_lite_categories;

    $wp_customize->add_setting( 'unicon_display_number_blog_post', array(
        'default'           => 10,
        'sanitize_callback' => 'unicon_lite_number_sanitize'
    ) );

    $wp_customize->add_control( 'unicon_display_number_blog_post', array(
        'type'    => 'number',
        'label'    => esc_html__( 'Display Number of Blog Posts ', 'unicon-lite' ),
        'section'  => 'unicon_lite_blogs_setting'
    ) );

    $wp_customize->add_setting( 'blog_categories', array(
        'default'           => array( 'uncategorized' ),
        'sanitize_callback' => 'unicon_lite_multiple_categories_sanitize'
    ) );

    $wp_customize->add_control( new Unicon_Lite_Customize_Control_Checkbox_Multiple( $wp_customize, 'blog_categories', array(
        'section' => 'unicon_lite_blogs_setting',
        'label'   => esc_html__( 'Select Blogs Categories', 'unicon-lite' ),
        'choices' => $unicon_lite_categories
    ) ) );


    //post settings
    $wp_customize->add_setting( 'unicon_lite_feat_img_enable', array(
        'default' => 'show',
        'sanitize_callback' => 'unicon_lite_sanitize_switch_option',
    ) );

    $wp_customize->add_control( new Unicon_Lite_Customize_Switch_Control( $wp_customize, 'unicon_lite_feat_img_enable',  array(
        'type'      => 'switch',                    
        'label'     => esc_html__( 'Enable/Disable Feature Image', 'unicon-lite' ),
        'section'   => 'unicon_lite_posts_setting',
        'choices'   => array(
                'show'  => esc_html__( 'Enable', 'unicon-lite' ),
                'hide'  => esc_html__( 'Disable', 'unicon-lite' )
            )
    ) ) );

    $wp_customize->add_setting( 'unicon_lite_meta_data_enable', array(
        'default' => 'show',
        'sanitize_callback' => 'unicon_lite_sanitize_switch_option',
    ) );

    $wp_customize->add_control( new Unicon_Lite_Customize_Switch_Control( $wp_customize, 'unicon_lite_meta_data_enable',  array(
        'type'      => 'switch',                    
        'label'     => esc_html__( 'Enable/Disable Meta Data', 'unicon-lite' ),
        'section'   => 'unicon_lite_posts_setting',
        'choices'   => array(
                'show'  => esc_html__( 'Enable', 'unicon-lite' ),
                'hide'  => esc_html__( 'Disable', 'unicon-lite' )
            )
    ) ) );


    $wp_customize->add_setting( 'unicon_lite_post_title_enable', array(
        'default' => 'show',
        'sanitize_callback' => 'unicon_lite_sanitize_switch_option',
    ) );

    $wp_customize->add_control( new Unicon_Lite_Customize_Switch_Control( $wp_customize, 'unicon_lite_post_title_enable',  array(
        'type'      => 'switch',                    
        'label'     => esc_html__( 'Enable/Disable Post Title', 'unicon-lite' ),
        'section'   => 'unicon_lite_posts_setting',
        'choices'   => array(
                'show'  => esc_html__( 'Enable', 'unicon-lite' ),
                'hide'  => esc_html__( 'Disable', 'unicon-lite' )
            )
    ) ) );


    $wp_customize->add_setting( 'unicon_lite_post_tags_enable', array(
        'default' => 'show',
        'sanitize_callback' => 'unicon_lite_sanitize_switch_option',
    ) );

    $wp_customize->add_control( new Unicon_Lite_Customize_Switch_Control( $wp_customize, 'unicon_lite_post_tags_enable',  array(
        'type'      => 'switch',                    
        'label'     => esc_html__( 'Enable/Disable Post Tags', 'unicon-lite' ),
        'section'   => 'unicon_lite_posts_setting',
        'choices'   => array(
                'show'  => esc_html__( 'Enable', 'unicon-lite' ),
                'hide'  => esc_html__( 'Disable', 'unicon-lite' )
            )
    ) ) );

    $wp_customize->add_setting( 'unicon_lite_post_footer_text_enable', array(
        'default' => 'show',
        'sanitize_callback' => 'unicon_lite_sanitize_switch_option',
    ) );

    $wp_customize->add_control( new Unicon_Lite_Customize_Switch_Control( $wp_customize, 'unicon_lite_post_footer_text_enable',  array(
        'type'      => 'switch',                    
        'label'     => esc_html__( 'Enable/Disable Footer Text Data', 'unicon-lite' ),
        'section'   => 'unicon_lite_posts_setting',
        'choices'   => array(
                'show'  => esc_html__( 'Enable', 'unicon-lite' ),
                'hide'  => esc_html__( 'Disable', 'unicon-lite' )
            )
    ) ) );

